Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo - Windows CE

This is a discussion on Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo - Windows CE ; > Recommended order of install: > > 1. Uninstall all previous embedded tools and SDKs step 1 is not necessary. eVC++ 4.0 can perfectly co-exist with eVC++ 3.0 on the same development machine....

+ Reply to Thread
Results 1 to 4 of 4

Thread: Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo

  1. Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo


    > Recommended order of install:
    >
    > 1. Uninstall all previous embedded tools and SDKs


    step 1 is not necessary.

    eVC++ 4.0 can perfectly co-exist with eVC++ 3.0 on the same development
    machine.



  2. Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo

    Actually, it can't. Or at least not without a QFE. The QFE is in SP2 so if
    all you want is V4.2 devices you are OK. But if you need to develop for V4.0
    or V4.1 devices then you need the appropriate SP and QFEs installed in the
    correct order. (But then the remote tools are not functioning correctly as
    the tools menu is reset for only the latest versions which don't work on
    older versions of the OS.)

    --
    Steve Maillet (eMVP)
    Entelechy Consulting
    smaillet_AT_EntelechyConsulting_DOT_com



  3. Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo


    "Steve Maillet (eMVP)" wrote in message
    news:eOlv5n0XDHA.2516@TK2MSFTNGP09.phx.gbl...
    > Actually, it can't.


    You are saying that eVC++ 4.0 cannot co-exist with eVC++ 3.0 ?
    This is a REAL problem!
    I remember reading something on the MS website about the fact that eVC++ 3.0
    and 4.0 can co-exist. In fact this is very important since eVC++ 3.0 is
    necessary to develop application for Smartphone 2002.

    > Or at least not without a QFE.


    What is QFE ? is that Quick-Fix-Engineering ?

    > The QFE is in SP2 so if
    > all you want is V4.2 devices you are OK.


    Yes, that's all I need. But we also need to keep eVC++ 3.0.

    > But if you need to develop for V4.0
    > or V4.1 devices then you need the appropriate SP and QFEs installed in the
    > correct order. (But then the remote tools are not functioning correctly as
    > the tools menu is reset for only the latest versions which don't work on
    > older versions of the OS.)


    I noticed that the remote tools are not functioning correctly in my eVC++
    4.0 (I installed SP2). What can I do to fix this problem ?

    Thanks!



  4. Re: eVC++ 4.2/Pocket PC 2003 Install Mini HowTo

    I believe beta copies of tools should be uninstalled before installing
    release versions. But I've successfully mixed eVC 4 with eVC 3 and VC
    6 on two computers.

    I installed the eVC 4 beta (April 2002 MSDN subscription) on the same
    computer as eVC 3 and VC 6, running under Windows 2000 SP2, and all
    work well for me. I never knowingly installed any service pack for any
    of them.

    Installation order (may matter):
    VC 6
    eVC 3 (from original CDs)
    SDKs that came with eVC 3 (Pocket PC, Palm-size 1.2, HPC Pro)
    HPC SDK (for CE 2.00)
    Palm-size SDK (for CE 2.01)
    HPC 2000 SDK
    Pocket PC 2002 SDK
    eVC 4
    STANDARDSDK

    A few weeks ago, I downloaded a new version of eVC 4, its SP2, and the
    Pocket PC 2003 SDK then installed them on a computer running Windows
    2000 SP2 after installing VC 6, eVC 3, and all the other SDKs. I
    haven't had a chance to test this installation much, but it seems to
    work.

    On Sun, 10 Aug 2003 10:13:48 -0400, "Steve Maillet \(eMVP\)"
    wrote:

    >Actually, it can't. Or at least not without a QFE. The QFE is in SP2 so if
    >all you want is V4.2 devices you are OK. But if you need to develop for V4.0
    >or V4.1 devices then you need the appropriate SP and QFEs installed in the
    >correct order. (But then the remote tools are not functioning correctly as
    >the tools menu is reset for only the latest versions which don't work on
    >older versions of the OS.)
    >
    >--
    >Steve Maillet (eMVP)
    >Entelechy Consulting
    >smaillet_AT_EntelechyConsulting_DOT_com
    >
    >


    -----------------------------------------
    To reply to me, remove the underscores (_) from my email address (and please indicate which newsgroup and message).

    Robert E. Zaret
    PenFact, Inc.
    500 Harrison Ave., Suite 3R
    Boston, MA 02118
    www.penfact.com

+ Reply to Thread